### Enumeration

# GLib OnceStatus

since: 2.4

#### Declaration

    enum GLib.OnceStatus

#### Description

The possible statuses of a one-time initialization function controlled by a `GOnce` struct.

Available since: 2.4

#### Members

`G_ONCE_STATUS_NOTCALLED`

  The function has not been called yet.

  - Value: `0`
  - Available since: 2.4
`G_ONCE_STATUS_PROGRESS`

  The function call is currently in progress.

  - Value: `1`
  - Available since: 2.4
`G_ONCE_STATUS_READY`

  The function has been called.

  - Value: `2`
  - Available since: 2.4